Subject: Re: linux-next: manual merge of the creds tree

From: "Steve French" <[email-masked]>
Date: Fri, 8 Aug 2008 10:25:03 -0500

On Fri, Aug 8, 2008 at 6:41 AM, Jeff Layton <[email-masked]> wrote:
> On Fri, 8 Aug 2008 16:03:03 +1000
> Stephen Rothwell <[email-masked]> wrote:
>
>> Hi David,
>>
>> On Fri, 8 Aug 2008 16:01:43 +1000 Stephen Rothwell <[email-masked]> wrote:
>> >
>> > Today's linux-next merge of the creds tree got conflicts in fs/cifs/dir.c
>> > between commits 4e1e7fb9e879d48011a887715d7966484d9644ea ("bundle up Unix
>> > SET_PATH_INFO args into a struct and change name") and
>> > 95089910933e10768cfef1ab0bab0c55b962aacb ("[CIFS] cifs_mkdir and
>> > cifs_create should respect the setgid bit on parent dir") from the cifs
>> > tree and commit 785af0f385cd424d4b40908bf0e467df3dc05434 ("CRED: Change
>> > current->fs[ug]id to current_fs[ug]id()") from the creds tree.
FYI - am waiting on more test feedback from the usual cifs community
before pushing those
cifs-2.6.git changes up to mainline.    In my testing of the current
cifs-2.6 tree,
there are a couple things I noticed in testing against various Samba
versions, but it looks like
they were Samba problems that have been fixed (still investigating).
I am particularly
interested in attribute, size, time stamp related testing against non-Windows,
non-current-Samba servers ...

-- 
Thanks,

Steve